package com.inspect.calender.service;

import com.inspect.calender.domain.DailyTaskStatsDTO;
import com.inspect.calender.domain.MonthlyTaskStatsDTO;

import java.util.List;

public interface CalenderService {
    List<MonthlyTaskStatsDTO> getMonthlyStatsByYear(Integer year);

    List<DailyTaskStatsDTO> getDailyStatsByYearAndMonth(Integer year, Integer month);

    List<DailyTaskStatsDTO> getDailyStatsByYearAndMonthAndDay(Integer year, Integer month, Integer day);
}
